import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  dockInfo: `/api/live/dock`,
  myapplyInfo: `/api/live/dock/myapply`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit = undefined, ...info } = {}) {
    const res = await this.$axios.$get(api.dockInfo, { skip, limit, ...info });
    return res;
  },
  async myapply({ commit }, { skip = 0, limit = undefined, ...info } = {}) {
    const res = await this.$axios.$get(api.myapplyInfo, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.dockInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.dockInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.dockInfo}/${id}`, { ...info });
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.dockInfo}/${payload}`);
    return res;
  },
  async shenhe({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.dockInfo}/check/${id}`, data);
    return res;
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
